local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")

function onTalk()
	disablePause()
    disableMovement()
	if getFlag("deepwell_questcomplete") then
		coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeepWell_questalreadycomplete"))
		else if getFlag("deepwell_hastwodashes") then
			coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeepWell_questfinish"))
			setFlag("deepwell_questcomplete")
			else if not getFlag("deepwell_hastwodashes") then
				coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_DeepWell_questrequirement"))	
			end
		end
    end
end

function onEnd(room, wasSkipped)
	enablePause()
	enableMovement()
end